#import "/src/cetz.typ": draw

#import "/src/core/utils.typ": normalize-measure
#import "/src/consts.typ": *

#let name = "custom"

#let render(x, y, p, bottom) = {
  let m = measure(p.display-name)
  let style = p.resolved-style
  let image-m = measure(style.custom-image)
  let y0 = if bottom {y - m.height / 1pt - SYM-GAP} else {y + m.height / 1pt + image-m.height / 1pt + SYM-GAP}
  draw.content((x - image-m.width / 2pt, y0), style.custom-image, anchor: "north-west")
  draw.content(
    (x, y),
    p.display-name,
    anchor: if bottom {"north"} else {"base"}
  )
}

#let get-size(par) = {
  let m = normalize-measure(par.display-name)

  // measure(style.custom-image).width
  // measure(style.custom-image).height + SYM-GAP * 1pt + h

  return m
}

#let default-style = (
  :
)